Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.system
Class ServiceContext

    java.lang.Object
      org.jboss.system.ServiceContext

All Implemented Interfaces:
  Serializable

public class ServiceContext
extends Object
implements Serializable

ServiceContext holds information for the Service

Version:
  $Revision: 1.12 $

  Revisions:

  20011219 marc fleury:

  - initial check in.
Author:
  marc fleury
See Also:
  `Service`, `ServiceMBeanSupport`, Serialized Form

Field Summary
`static int` | `CONFIGURED`
`static int` | `CREATED`
`List` | `dependsOnMe` beans that depend on me
`static int` | `DESTROYED`
`static int` | `FAILED`
`List` | `iDependOn` dependent beans
`static int` | `INSTALLED`
`static int` | `NOTYETINSTALLED`
`javax.management.ObjectName` | `objectName` The name of the service
`Throwable` | `problem`
`Service` | `proxy` the fancy proxy to my service calls
`static int` | `RUNNING`
`int` | `state` State of the service
`static int` | `STOPPED`

Constructor Summary
`ServiceContext()`

Method Summary
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### INSTALLED

    public static int INSTALLED

### CONFIGURED

    public static int CONFIGURED

### CREATED

    public static int CREATED

### RUNNING

    public static int RUNNING

### FAILED

    public static int FAILED

### STOPPED

    public static int STOPPED

### DESTROYED

    public static int DESTROYED

### NOTYETINSTALLED

    public static int NOTYETINSTALLED

### objectName

    public javax.management.ObjectName objectName

  The name of the service

### state

    public int state

  State of the service

### iDependOn

    public List iDependOn

  dependent beans

### dependsOnMe

    public List dependsOnMe

  beans that depend on me

### proxy

    public Service proxy

  the fancy proxy to my service calls

### problem

    public Throwable problem

Constructor Detail

### ServiceContext

    public ServiceContext()

Method Detail

### toString

    public String toString()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.